[Deprecated]: V1.0

post

/ec-datahub-svc/rest/v1.0/tenant/{tenantId}/studies/{studyId}/dataCollection

Deprecated: Use latest version instead. Retrieves data collection design data set based on dynamic query parameters. Right: [DataCollectionDesignDatasetPost](https://docs.oracle.com/en/industries/life-sciences/clinical-one/analytics-information/permissions-access-analytics-datasets.html). You can find more details about the dataset on [Study Design Dataset](https://docs.oracle.com/en/industries/life-sciences/clinical-one/analytics-information/study-design-dataset.html).

Request

Path Parameters
Query Parameters
  • Minimum Value: 0
    The maximum number of records to return for the visits, forms, and items for each study version.
  • Minimum Value: 0
    The number of records to skip before starting to return the visits, forms, and items for each study version.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Dynamic query for DataHub design dataset specifying selected columns, filter predicates and sort order
Show Source
Nested Schema : orderColumns
Type: array
Sorting to apply on the result set
Show Source
Example:
[
    {
        "columnName":"VERSION_START",
        "sortOrder":"ASC"
    }
]
Nested Schema : selectColumns
Type: array
Columns to include in the result set
Show Source
  • Columns to include in the result set
    Example: ["STUDY_VERSION","STUDY_ID"]
Example:
[
    "STUDY_VERSION",
    "STUDY_ID"
]
Nested Schema : whereColumns
Type: array
Filter predicates to apply when querying the dataset
Show Source
Example:
[
    {
        "columnName":"STUDY_ID",
        "operator":"=",
        "value":[
            "A86F2D0BB610404DB62D37AFA9C20B50"
        ]
    }
]
Nested Schema : QueryOrder
Type: object
Sort instruction specifying a column and order direction
Show Source
Example:
[
    {
        "columnName":"VERSION_START",
        "sortOrder":"ASC"
    }
]
Nested Schema : QueryPredicate
Type: object
Predicate to filter dataset results by column, operator, and value
Show Source
Example:
[
    {
        "columnName":"STUDY_ID",
        "operator":"=",
        "value":[
            "A86F2D0BB610404DB62D37AFA9C20B50"
        ]
    }
]
Nested Schema : value
Type: array
Values to use for the filter. For IN or BETWEEN, provide multiple values
Show Source
  • Values to use for the filter. For IN or BETWEEN, provide multiple values
    Example: ["A86F2D0BB610404DB62D37AFA9C20B50"]
Example:
[
    "A86F2D0BB610404DB62D37AFA9C20B50"
]
Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : DataHubReportDto
Type: object
Tabular report result of the dynamic query execution for the design dataset
Show Source
Nested Schema : columns
Type: array
Names of the columns included in each row
Show Source
  • Names of the columns included in each row
    Example: ["FORM_OID","ITEM_OID","ITEM_NAME"]
Example:
[
    "FORM_OID",
    "ITEM_OID",
    "ITEM_NAME"
]
Nested Schema : data
Type: array
Row data aligned with the columns list. Each inner array represents one row.
Show Source
Example:
[
    [
        "FORM001",
        "ITEM001",
        "Age"
    ],
    [
        "FORM002",
        "ITEM002",
        "Weight"
    ]
]
Nested Schema : items
Type: array
Row data aligned with the columns list. Each inner array represents one row.
Show Source
  • Row data aligned with the columns list. Each inner array represents one row.
    Example: [["FORM001","ITEM001","Age"],["FORM002","ITEM002","Weight"]]
Example:
[
    [
        "FORM001",
        "ITEM001",
        "Age"
    ],
    [
        "FORM002",
        "ITEM002",
        "Weight"
    ]
]

400 Response

'Missing / invalid data'
Body ()
Root Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : details
Type: object
Back to Top